Subject: Re: [bug#37725] [PATCH] gnu: lxqt-config: Add libkscreen as propagated-inputs.

From: Ludovic Courtès <[email-masked]>
Date: Wed, 22 Apr 2020 17:50:33 +0200

Hi Reza,

Sorry for the very late reply.

"Reza Alizadeh Majd" <[email-masked]> skribis:

> Sure, here is a minimal operating system configuration that we used for a
> minimal LXQt desktop on Guix:

I added a window manager to the global profile so that I could actually
log in, but then I don’t even know how to get a terminal…  I think I’m
not well positioned to further debug this.  Did you discuss it with
upstream?

Thanks,
Ludo’.

(use-modules (gnu) (gnu system nss) (gnu packages kde-plasma))
(use-service-modules desktop networking ssh sddm dbus)
(use-package-modules ssh certs tls lxqt xorg openbox)

(operating-system
  (host-name "panther")
  (timezone "Asia/Tehran")
  (locale "en_US.utf8")

  ;; Boot in "legacy" BIOS mode
  (bootloader (bootloader-configuration
                (bootloader grub-bootloader)
                (target "/dev/sda")))
  (file-systems (cons (file-system
                        (device (file-system-label "my-root"))
                        (mount-point "/")
                        (type "ext4"))
                      %base-file-systems))
  (users (cons (user-account
                (name "user")
                (password (crypt "1234" "$6$abc"))
                (group "users")
                (supplementary-groups '("wheel" "audio" "video"))
                (home-directory "/home/user"))
               %base-user-accounts))
  (packages (cons* openssh nss-certs gnutls 
                   lxqt lxqt-globalkeys openbox
                   
                   ;; commented in order to re-produce the issue
                   ; libkscreen   
                   %base-packages))
  (services (cons*
	      (sddm-service
		    (sddm-configuration
		      (minimum-uid 1000)
		      (theme "elarun")))
	      (elogind-service)
	      (udisks-service)
	      (dbus-service)
	      (colord-service)
	      (service polkit-service-type)
	      (service upower-service-type)
	      (service dhcp-client-service-type)
	      ;; network configuration
	      (service openssh-service-type
		       (openssh-configuration
			 (port-number 22)
			 (permit-root-login #t)))
	      (service wpa-supplicant-service-type)
	      %base-services))
  ;; Allow resolution of '.local' host names with mDNS.
  (name-service-switch %mdns-host-lookup-nss))